karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Guillaume Nodet (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-5641) Karaf boot scripts need to deal with JDK10 version patterns
Date Tue, 13 Mar 2018 20:30:00 GMT

    [ https://issues.apache.org/jira/browse/KARAF-5641?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16397606#comment-16397606
] 

Guillaume Nodet commented on KARAF-5641:
----------------------------------------

I pushed a fix but this is not sufficient to have support for Java 10, as Karaf does not start,
even after fixing the JRE packages by adding 
{code:java}
jre-10 = ${jre-9}{code}
to the {{etc/jre.properties}} file.

> Karaf boot scripts need to deal with JDK10 version patterns
> -----------------------------------------------------------
>
>                 Key: KARAF-5641
>                 URL: https://issues.apache.org/jira/browse/KARAF-5641
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-core
>    Affects Versions: 4.2.0.M2
>            Reporter: Sanne Grinovero
>            Assignee: Guillaume Nodet
>            Priority: Major
>             Fix For: 4.2.0
>
>
> The {{checkJvmVersion()}} function in the {{/bin/inc}} script of the distribution is
not dealing with the new output of {{java -version}} of JDK10 (and later?).
> The {{VERSION}} variable is left undefined, which then has the main bootscript to not
set the Jigsaw modules correctly (the various JVM flags which need to be enabled since Java
9).
> This is a blocker to use Karaf on Java 10, which is already in candidate release. I don't
think much else is changed compared to Java 9 so it would be great to sort this.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message